
AUTOMAKE_OPTIONS = foreign no-dependencies no-installinfo

if DEV_MODE
install-data-hook:
else
install-data-hook:
if FREEBSD_OS
	chmod a+x $(DESTDIR)/${etcdir}/rc.d/engined
endif
	$(INSTALL) -d -m 750 -o $(SRV_USER) -g $(SRV_GROUP) $(DESTDIR)$(SRV_LOGDIR)
	$(INSTALL) -d -m 750 -o $(SRV_USER) -g $(SRV_GROUP) $(DESTDIR)$(SRV_RUNDIR)
	for data in $(nobase_conf_DATA);do \
	  chmod 0644 $(DESTDIR)$(SRV_CONFDIR)/$$data; \
	done

if FREEBSD_OS
etcdir = @prefix@/etc
nobase_etc_SCRIPTS = rc.d/engined
endif

if LINUX_OS
systemddir = /lib/systemd/system
nobase_systemd_DATA = engined.service
endif
endif

EXTRA_DIST = \
	engined.service.in \
	rc.d/engined.in

